Bug 843439 - URLs are changed if Sportsclub example is deployed via JBDS
URLs are changed if Sportsclub example is deployed via JBDS
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Examples, Spring (Show other bugs)
Unspecified Unspecified
medium Severity medium
: CR1
: 2.1.0
Assigned To: Marius Bogoevici
Tomas Repel
Depends On:
  Show dependency treegraph
Reported: 2012-07-26 06:36 EDT by Tomas Repel
Modified: 2012-11-30 10:33 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, Sportsclub projects deployed using JBoss Developer Studio displayed example access URLs that differed from the URLs projects displayed when deployed using Maven. With Web Framework Kit 2.1, the URLs to access the examples now appear uniform regardless of the tool used for packaging and deployment.
Story Points: ---
Clone Of:
Last Closed: 2012-11-30 10:33:57 EST
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2012-07-26 06:36:28 EDT
If Sportsclub is deployed via JBDS, the URLs the example can be accessed by are different comparing to deployment via maven. For more detailed description see Comment 26 and Comment 29 of https://bugzilla.redhat.com/show_bug.cgi?id=800024.

Look at https://issues.jboss.org/browse/JBIDE-12369. There is a comment with the proposal, how to avoid this behavior, so the URLs remain the same regardless what tool is used for packaging/deployment.

Version-Release number of selected component (if applicable):

JBDS 5.0.0.GA
WKF2 2.0.0.GA
EAP 6.0.0.GA

How reproducible:

Comment 1 Marek Novotny 2012-09-25 04:44:53 EDT
Copying solution from JBIDE-12369:

You need to remove the <earSourceExcludes>**/application.xml</earSourceExcludes> from your ear plugin config. And update the ear project configuration (right click on project > Maven > Update project configuration.

Basically all exclusion patterns in the pom are translated to packaging exclusion patterns in WTP / the JBoss AS server adapter. There's no easy way to match that maven feature in WTP, so it's a trade-off and you've hit one of the corner cases.
Comment 2 Vaclav Dedik 2012-10-10 04:36:38 EDT
I removed <earSourceExcludes>**/application.xml</earSourceExcludes> from all sportsclub examples.

Comment 3 Tomas Repel 2012-10-18 04:20:21 EDT
Only sportsclub-ear/pom.xml files for all spring variants have been fixed. The same fix has to be applied to sportsclub-jpa-ear/pom.xml files for all spring variants.
Comment 5 Vaclav Dedik 2012-10-18 04:36:21 EDT
Ok, done - I applied the fix for all sportsclub-jpa-ear/pom.xml files.
Comment 7 Tomas Repel 2012-11-07 10:05:59 EST
Verified in WFK 2.1.0.CR1 and JBDS 5.0.1.GA.
Comment 8 Karel Piwko 2012-11-30 10:33:57 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.